DIPlib Documentation - ©1995-2015 Quantitative Imaging Group, Delft University of Technology.

# ImageWriteCSV

Write image to a comma-separated-value file (in dipIO)

## SYNOPSIS

`#include "dipio_csv.h"`

dip_Error dipio_ImageWriteCSV ( image, filename, separator )

dip_Error dipio_ImageWriteCSV ( dip_Image, dip_String, char );

## FUNCTION

This function writes the image to a comma-separated-values file, overwriting any other file with the same name. Optionally, an other separator than the comma can be specified using `separator`. Sometimes a space, a tab or a colon are used instead. Each line of image data is ended by a newline.

## ARGUMENTS

Data type | Name | Description
`dip_Image` | `image` | Output image
`dip_String` | `filename` | File name
`char` | `separator` | Optional alternative separator character

## SEE ALSO

`ImageWrite`, `ImageReadCSV`